Bug 649195 - add cgsnapshot tool to libcgroup package
add cgsnapshot tool to libcgroup package
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libcgroup (Show other bugs)
6.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Ivana Varekova
Mike Gahagan
: Rebase
Depends On:
Blocks: 672300
  Show dependency treegraph
 
Reported: 2010-11-03 03:15 EDT by Ivana Varekova
Modified: 2011-05-19 09:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Several bugfixes and new tool cgsnapshot. Using this tool it is possible to snapshot the current control group configuration. Please note that cgsnapshot is currently limited and displays only the first mount point for a hierarchy. If any hierarchy is mounted twice or more, cgshapshot will show only the first mount point. As major bugfix, cgconfig service now writes all parameter values in the same order as they appear in cgconfig.conf file. In the previous version of the package the values were (wrongly) written in the reverse order. Users should be advised to review they /etc/cgconfig.conf configuration file
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:13:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivana Varekova 2010-11-03 03:15:21 EDT
Description of problem:
In the new upstream version there is implemented new tool:

cgsnapshot [-h] [-s] [-b file] [-w file] [-f output_file] [controller] [...]
Generate the configuration file from the given controllers of control groups
  -b,--blacklist file  Set the blacklist configuration file (default /etc/cgsnapshot_blacklist.conf)
  -f,--file            Redirect the output to output_file
  -h,--help            Display this help
  -s,--silent          Ignore all warnings
  -t,--strict          Don't show the variables which are not on the whitelist
  -w,--whitelist file  Set the whitelist configuration file (don't used by default)

using this tool there is possible to snapshot current control group configuration. It would be fine to hav eit in el6.1

Version-Release number of selected component (if applicable):
libcgroup-0.36.1-6.el6
Comment 2 Jan Safranek 2010-11-03 04:21:46 EDT
The tool uses new libcgroup API and rebase to newer version is highly recommended.
Comment 4 Radek Vokal 2011-01-03 08:59:01 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Several bugfixes and new tool cgsnapshot. Using this tool it is possible to snapshot the current control group configuration.
Comment 6 Jan Safranek 2011-01-12 04:26:28 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,3 @@
-Several bugfixes and new tool cgsnapshot. Using this tool it is possible to snapshot the current control group configuration.+Several bugfixes and new tool cgsnapshot. Using this tool it is possible to snapshot the current control group configuration.
+
+As major bugfix, cgconfig service now writes all parameter values in the same order as they appear in cgconfig.conf file. In the previous version of the package the values were (wrongly) written in the reverse order. Users should be advised to review they /etc/cgconfig.conf configuration file
Comment 8 Mike Gahagan 2011-01-24 11:30:46 EST
[root@dhcp231-204 x86_64]# cgsnapshot 
# Configuration file generated by cgsnapshot
mount {
	cpuset = /cgroup/cpuset;
	cpu = /cgroup/cpu;
	cpuacct = /cgroup/cpuacct;
	memory = /cgroup/memory;
	devices = /cgroup/devices;
	freezer = /cgroup/freezer;
	net_cls = /cgroup/net_cls;
	blkio = /cgroup/blkio;
}

Confirmed cgsnapshot is included with libcgroups 0.37-1
Comment 9 Mike Gahagan 2011-01-24 13:57:57 EST
setting back to ON_QA until other architectures have been tested.
Comment 10 Mike Gahagan 2011-02-10 15:27:43 EST
confirmed cgsnapshot is present on x86_64, i386 and ppc64, however I've found at least one bug with it, see bz 646700.
Comment 11 Jan Safranek 2011-02-23 08:22:31 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,3 +1,5 @@
 Several bugfixes and new tool cgsnapshot. Using this tool it is possible to snapshot the current control group configuration.
 
+Please note that cgsnapshot is currently limited and displays only the first mount point for a hierarchy. If any hierarchy is mounted twice or more, cgshapshot will show only the first mount point.
+
 As major bugfix, cgconfig service now writes all parameter values in the same order as they appear in cgconfig.conf file. In the previous version of the package the values were (wrongly) written in the reverse order. Users should be advised to review they /etc/cgconfig.conf configuration file
Comment 12 errata-xmlrpc 2011-05-19 09:13:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0577.html

Note You need to log in before you can comment on or make changes to this bug.